## dimmer-el 0.4.2%2Brepack20220817.a5b6975

=== debian/changelog ===
dimmer-el (0.4.2+repack20220817.a5b6975-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:58:38 +0900

dimmer-el (0.4.2+repack20220817.a5b6975-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:50:13 +0900

dimmer-el (0.4.2+repack20220817.a5b6975-1) unstable; urgency=medium

  * Fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 27 Aug 2022 12:32:26 +0500

dimmer-el (0.4.2+git20220717.a5b6975-1) unstable; urgency=medium

  * New upstream version 0.4.2+git20220717.a5b6975 (Closes: #1017774)
    Thanks to intrigeri.
  * Refresh patch to clean documentation
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Update copyright years
  * d/elpa: List only dimmer.el to install

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 25 Aug 2022 13:42:12 +0500

dimmer-el (0.4.2+repack-2) unstable; urgency=medium

  * Source-only upload
  * d/control: Migrate to debhelper-compat 13

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 04 Jun 2020 11:46:59 +0500

dimmer-el (0.4.2+repack-1) unstable; urgency=medium

  * Initial release (Closes: #953859)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 14 Mar 2020 11:19:15 +0500

## dimmer-el 0.4.2+repack

=== Makefile ===
export EMACS ?= emacs
export BATCH = --batch -q -l .emacs/init.el

ELS = $(wildcard *.el)
LINT_ELS = $(filter-out dimmer.el-autoloads.el,$(ELS))
OBJECTS = $(ELS:.el=.elc)

.PHONY: version lint clean cleanelpa

.elpa:
	mkdir -p .emacs/elpa/gnupg && \
	chmod 700 .emacs/elpa/gnupg && \
	echo "disable-ipv6" > .emacs/elpa/gnupg/dirmngr.conf && \
	for i in {1..3}; do \
	gpg --keyserver keyserver.ubuntu.com \
	    --homedir .emacs/elpa/gnupg \
	    --recv-keys 066DAFCB81E42C40 \
	    && break || sleep 15; \
	done
	$(EMACS) $(BATCH)
	touch .elpa

version: .elpa
	$(EMACS) $(BATCH) --version

lint: .elpa
	$(EMACS) $(BATCH) -f elisp-lint-files-batch $(LINT_ELS)

clean:
	rm -f $(OBJECTS) dimmer.el-autoloads.el *~

cleanall: clean
	rm -rf .emacs/elpa .emacs/quelpa .emacs/.emacs-custom.el .elpa

=== doc/Makefile ===
# Recipe for converting video to animated gif using ffmpeg
# Reference: https://engineering.giphy.com/how-to-make-gifs-with-ffmpeg/

VIDEOS = dimmer-demo.webm

GIFS = $(VIDEOS:.webm=.gif)

default: $(GIFS)

clean:
	rm -f $(GIFS)

%.gif : %.webm
	ffmpeg -i $< -filter_complex "[0:v] fps=15,scale=w=640:h=-1,split [a][b];[a] palettegen [p];[b][p] paletteuse" $@

=== debian/control ===
Source: dimmer-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/gonewest818/dimmer.el
Vcs-Browser: https://salsa.debian.org/emacsen-team/dimmer-el
Vcs-Git: https://salsa.debian.org/emacsen-team/dimmer-el.git

Package: elpa-dimmer
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: visually highlight the selected buffer
 This package provides a minor mode that indicates which buffer is
 currently active by dimming the faces in the other buffers. It does
 this nondestructively, and computes the dimmed faces dynamically such
 that your overall color scheme is shown in a muted form without
 requiring you to define what is a "dim" version of every face.
 .
 dimmer.el can be configured to adjust foreground colors (default),
 background colors, or both.

=== debian/watch ===
version=4
         opts="dversionmangle=s/\+?(repack)\d*$//,\
              filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dimmer-el-$1\+repack.tar.gz%" \
              https://github.com/gonewest818/dimmer.el/tags \
              (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dimmer-el 0.4.2+repack20220817.a5b6975

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,9 @@
 version: .elpa
 	$(EMACS) $(BATCH) --version
 
+# TODO: re-enable package-lint after handling "frame-focus-state" error
 lint: .elpa
-	$(EMACS) $(BATCH) -f elisp-lint-files-batch $(LINT_ELS)
+	$(EMACS) $(BATCH) -f elisp-lint-files-batch --no-package-lint $(LINT_ELS)
 
 clean:
 	rm -f $(OBJECTS) dimmer.el-autoloads.el *~

=== debian/changelog ===
dimmer-el (0.4.2+repack20220817.a5b6975-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:04:35 +0000
